
#include <iostream>
#include <chrono>
#include <thread>

int main() {
    using namespace std::chrono; // see §35.2
    auto t0 = high_resolution_clock::now();
    std::this_thread::sleep_for(milliseconds{100});
    auto t1 = high_resolution_clock::now();

    std::cout << duration_cast<nanoseconds>(t1-t0).count() << " nanoseconds passed\n";

}
