
#include <iostream>
#include <locale>
#include <functional>

int main()
{
    using namespace std;
    float s = 123.456;

    // default
    cout << cout.getloc().name() << ": " << s << '\n';

    // imbue explicit locale object
    locale loc("en_US.utf8");
    cout.imbue(loc);
    cout << cout.getloc().name() << ": " << s << '\n';

    // imbue temporary locale object
    cout.imbue(locale("cs_CZ.utf8"));
    cout << cout.getloc().name() << ": " << s << '\n';
}

