
// example of std::format, C++23

#include <iostream>
#include <format>
#include <vector>
#include <array>
#include <list>
#include <map>
#include <string>

#define PRINT(x) std::cout << std::format("{}",x) << '\n'

int main() {
    std::vector v{1,2,3,4,5};
    std::array a{2,3,4,5};
    int ca[] = {3,4,5};         // C array
    std::list l{4,5};
    std::map<std::string,int> m{{"name1",1},{"name2",2}};
    PRINT(v);
    PRINT(a);
    PRINT(ca);
    PRINT(l);
    PRINT(m);
}

