
// g++ -std=c++11 icp-limits.cc

#include <iostream>
#include <limits>

#define VALUE_LIMITS(T) \
  std::cout << "Type: " #T                                 \
            << "\t min=" << std::numeric_limits<T>::min()  \
            << "\t max=" << std::numeric_limits<T>::max()  \
            << "\n"

int main() {
  VALUE_LIMITS(bool);
  VALUE_LIMITS(char);
  VALUE_LIMITS(short);
  VALUE_LIMITS(int);
  VALUE_LIMITS(long);
  VALUE_LIMITS(long long);
  VALUE_LIMITS(unsigned long long);
  VALUE_LIMITS(size_t);
  VALUE_LIMITS(ssize_t);
  VALUE_LIMITS(float);
  VALUE_LIMITS(double);
  VALUE_LIMITS(long double);
}
