
#include <iostream>
#include <vector>
#include <span>         // non-owning range

int sum(std::span<int> s) {
    int sum=0;
    for(int x: s) sum+=x;
    return sum;
}

int main() {
    std::vector<int> a { 1,2,3,4,5,6,7,8,9,10, };
    int s = sum(a);
    std::cout << s << "\n";
    auto span1 = std::span{std::begin(a),8};
    auto span2 = std::span{std::begin(span1),5};
    int s2 = sum(span2);
    std::cout << s2 << "\n";
#if 0
    int s3 = sum({std::begin(a),50});       // Warning: not checked
    std::cout << s3 << "\n";
#endif
}
