
#include <iostream>

class B {
    int data;
  public:
    B(int x=0): data{x} {}
    virtual int vm() const { return data; }
    void print() const {     // this->vm()
        std::cout << "vm()=" << vm() << "\n";
    }
    void print2() const {
        std::cout << "B::vm()=" << B::vm() << "\n";
    }
};

class D : public B {
    int data;
  public:
    D(int x): B{x-1}, data{x} {}
    // virtual is default iff overriden
    int vm() const override { return data; }
};

int main() {
    B b{100};
    D d{2};
    B *ptr = &d;
    // polymorhic
    ptr->print();
    ptr->print2();
    // static
    d.print();
    d.print2();
    b.print();
}
